/**
 * Sonatype Nexus (TM) Open Source Version
 * Copyright (c) 2007-2012 Sonatype, Inc.
 * All rights reserved. Includes the third-party code listed at http://links.sonatype.com/products/nexus/oss/attributions.
 *
 * This program and the accompanying materials are made available under the terms of the Eclipse Public License Version 1.0,
 * which accompanies this distribution and is available at http://www.eclipse.org/legal/epl-v10.html.
 *
 * Sonatype Nexus (TM) Professional Version is available from Sonatype, Inc. "Sonatype" and "Sonatype Nexus" are trademarks
 * of Sonatype, Inc. Apache Maven is a trademark of the Apache Software Foundation. M2eclipse is a trademark of the
 * Eclipse Foundation. All other trademarks are the property of their respective owners.
 */
package org.sonatype.nexus.plugin.migration.artifactory.dto;

import org.codehaus.plexus.util.StringUtils;

import com.thoughtworks.xstream.annotations.XStreamAlias;

@XStreamAlias( "groupResolution" )
public class GroupResolutionDTO
{
    private String groupId;

    private boolean isMixed = false;

    private String repositoryTypeResolution = ERepositoryTypeResolution.MAVEN_2_ONLY.name();

    public GroupResolutionDTO()
    {
        super();
    }

    public GroupResolutionDTO( String groupId, boolean isMixed )
    {
        super();
        this.groupId = groupId;
        this.isMixed = isMixed;
    }

    public String getGroupId()
    {
        return groupId;
    }

    public ERepositoryTypeResolution getRepositoryTypeResolution()
    {
        if ( StringUtils.isEmpty( repositoryTypeResolution ) )
        {
            return null;
        }
        return ERepositoryTypeResolution.valueOf( repositoryTypeResolution );
    }

    public void setGroupId( String groupId )
    {
        this.groupId = groupId;
    }

    public void setRepositoryTypeResolution( ERepositoryTypeResolution repositoryTypeResolution )
    {
        this.repositoryTypeResolution = repositoryTypeResolution.name();
    }

    public boolean isMixed()
    {
        return isMixed;
    }

    public void setMixed( boolean isMixed )
    {
        this.isMixed = isMixed;
    }

}
