/**
 * Sonatype Nexus (TM) Open Source Version
 * Copyright (c) 2007-2012 Sonatype, Inc.
 * All rights reserved. Includes the third-party code listed at http://links.sonatype.com/products/nexus/oss/attributions.
 *
 * This program and the accompanying materials are made available under the terms of the Eclipse Public License Version 1.0,
 * which accompanies this distribution and is available at http://www.eclipse.org/legal/epl-v10.html.
 *
 * Sonatype Nexus (TM) Professional Version is available from Sonatype, Inc. "Sonatype" and "Sonatype Nexus" are trademarks
 * of Sonatype, Inc. Apache Maven is a trademark of the Apache Software Foundation. M2eclipse is a trademark of the
 * Eclipse Foundation. All other trademarks are the property of their respective owners.
 */
package org.sonatype.nexus.plugin.migration.artifactory.dto;

import com.thoughtworks.xstream.annotations.XStreamAlias;

@XStreamAlias( "repositoryResolution" )
public class RepositoryResolutionDTO
{
    private boolean alreadyExists;

    private boolean copyCachedArtifacts = true;

    private boolean isImport = true;

    private boolean isMixed = false;

    private boolean mapUrls = true;

    private boolean mergeSimilarRepository = false;

    private String mixResolution = EMixResolution.BOTH.name();

    private String repositoryId;

    private String similarRepositoryId;

    private String type;

    public RepositoryResolutionDTO()
    {
        super();
    }

    public EMixResolution getMixResolution()
    {
        return EMixResolution.valueOf( mixResolution );
    }

    public String getRepositoryId()
    {
        return repositoryId;
    }

    public String getSimilarRepositoryId()
    {
        return similarRepositoryId;
    }

    public ERepositoryType getType()
    {
        return ERepositoryType.valueOf( this.type );
    }

    public boolean isAlreadyExists()
    {
        return alreadyExists;
    }

    public boolean isCopyCachedArtifacts()
    {
        return copyCachedArtifacts;
    }

    public boolean isImport()
    {
        return isImport;
    }

    public boolean isMapUrls()
    {
        return mapUrls;
    }

    public boolean isMergeSimilarRepository()
    {
        return mergeSimilarRepository;
    }

    public boolean isMixed()
    {
        return isMixed;
    }

    public void setAlreadyExists( boolean alreadyExists )
    {
        this.alreadyExists = alreadyExists;
    }

    public void setCopyCachedArtifacts( boolean copyCachedArtifacts )
    {
        this.copyCachedArtifacts = copyCachedArtifacts;
    }

    public void setImport( boolean isImport )
    {
        this.isImport = isImport;
    }

    public void setMapUrls( boolean mapUrls )
    {
        this.mapUrls = mapUrls;
    }

    public void setMergeSimilarRepository( boolean mergeSimilarRepository )
    {
        this.mergeSimilarRepository = mergeSimilarRepository;
    }

    public void setMixed( boolean isMixed )
    {
        this.isMixed = isMixed;
    }

    public void setMixResolution( EMixResolution mixResolution )
    {
        this.mixResolution = mixResolution.name();
    }

    public void setRepositoryId( String repositoryId )
    {
        this.repositoryId = repositoryId;
    }

    public void setSimilarRepositoryId( String similarRepositoryId )
    {
        this.similarRepositoryId = similarRepositoryId;
    }

    public void setType( ERepositoryType type )
    {
        this.type = type.name();
    }

}
