/**
 * Sonatype Nexus (TM) Open Source Version
 * Copyright (c) 2007-2012 Sonatype, Inc.
 * All rights reserved. Includes the third-party code listed at http://links.sonatype.com/products/nexus/oss/attributions.
 *
 * This program and the accompanying materials are made available under the terms of the Eclipse Public License Version 1.0,
 * which accompanies this distribution and is available at http://www.eclipse.org/legal/epl-v10.html.
 *
 * Sonatype Nexus (TM) Professional Version is available from Sonatype, Inc. "Sonatype" and "Sonatype Nexus" are trademarks
 * of Sonatype, Inc. Apache Maven is a trademark of the Apache Software Foundation. M2eclipse is a trademark of the
 * Eclipse Foundation. All other trademarks are the property of their respective owners.
 */
package org.sonatype.nexus.plugin.migration.artifactory.task;

import org.codehaus.plexus.component.annotations.Component;
import org.codehaus.plexus.component.annotations.Requirement;
import org.sonatype.nexus.plugin.migration.artifactory.ArtifactoryMigrator;
import org.sonatype.nexus.plugin.migration.artifactory.dto.MigrationSummaryDTO;
import org.sonatype.nexus.scheduling.AbstractNexusRepositoriesTask;
import org.sonatype.scheduling.SchedulerTask;

@Component( role = SchedulerTask.class, hint = ArtifactoryMigrationTaskDescriptor.ID, instantiationStrategy = "per-lookup" )
public class ArtifactoryMigrationTask
    extends AbstractNexusRepositoriesTask<Object>
{

    private static final String ACTION = "ARTIFACTORY_MIGRATION";

    @Requirement
    private ArtifactoryMigrator artifactoryMigrator;

    private MigrationSummaryDTO migrationSummary;

    @Override
    protected Object doRun()
        throws Exception
    {
        // run the migration
        /*MigrationResult result =*/ this.artifactoryMigrator.migrate( this.migrationSummary );

//        this.getTaskActivityDescriptor().
        return null;
    }

    @Override
    protected String getAction()
    {
        return ACTION;
    }

    @Override
    protected String getMessage()
    {
        return "Importing Artifactory Backup.";
    }

    public MigrationSummaryDTO getMigrationSummary()
    {
        return migrationSummary;
    }

    public void setMigrationSummary( MigrationSummaryDTO migrationSummary )
    {
        this.migrationSummary = migrationSummary;
    }

}
