/**
 * Sonatype Nexus (TM) Open Source Version
 * Copyright (c) 2007-2012 Sonatype, Inc.
 * All rights reserved. Includes the third-party code listed at http://links.sonatype.com/products/nexus/oss/attributions.
 *
 * This program and the accompanying materials are made available under the terms of the Eclipse Public License Version 1.0,
 * which accompanies this distribution and is available at http://www.eclipse.org/legal/epl-v10.html.
 *
 * Sonatype Nexus (TM) Professional Version is available from Sonatype, Inc. "Sonatype" and "Sonatype Nexus" are trademarks
 * of Sonatype, Inc. Apache Maven is a trademark of the Apache Software Foundation. M2eclipse is a trademark of the
 * Eclipse Foundation. All other trademarks are the property of their respective owners.
 */
package org.sonatype.nexus.plugin.migration.artifactory.util;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.sonatype.nexus.plugin.migration.artifactory.config.ArtifactoryVirtualRepository;

public class VirtualRepositoryUtil
{

    public static void resolveRepositories( Map<String, ArtifactoryVirtualRepository> virtualRepositories )
    {
        for ( String repoId : virtualRepositories.keySet() )
        {
            ArtifactoryVirtualRepository repo = virtualRepositories.get( repoId );
            List<String> resolvedChilds = getRepositories( repo, virtualRepositories );
            repo.setResolvedRepositories( resolvedChilds );
        }

    }

    private static List<String> getRepositories( ArtifactoryVirtualRepository repo,
                                                 Map<String, ArtifactoryVirtualRepository> virtualRepositories )
    {
        List<String> resolvedRepos = new ArrayList<String>();
        List<String> repositories = repo.getRepositories();
        for ( String childId : repositories )
        {
            ArtifactoryVirtualRepository virtualRepo = virtualRepositories.get( childId );
            if ( virtualRepo != null )
            {
                resolvedRepos.addAll( getRepositories( virtualRepo, virtualRepositories ) );
            }
            else
            {
                resolvedRepos.add( childId );
            }
        }

        return resolvedRepos;
    }

}
